@import url('https://fonts.googleapis.com/css2?family=Carrois+Gothic&display=swap');

* {
    font-family: 'Carrois Gothic', sans-serif;
}

:root{
    --p-color: #592E98;
    --s-color: #fa820d;
}

.tx-p {
    color: var(--p-color);
}

.tx-s {
    color: var(--s-color);
}

.bg-p {
    background-color: var(--p-color);
}

.bg-s{
    background-color: var(--s-color);
}

.ff-p{
    font-family: 'Cuprum';
}

.ff-s{
    font-family: 'Carrois Gothic', sans-serif;
;
}

body{
    background-color: rgb(250, 250, 250);
}

/* navbar */

.navLogo{
    width: 226px;
    height: 50px;
}

.bgNavbar{
    background-color: #592E98;
}

.active_nav{
    position: relative;
    color: #fa820d !important;
    transition: 0.4s;
}

.active_nav:hover{
    color: white !important;
}

.nav_item{
    color: white;
}

.active_nav::after{
    position: absolute;
    content: "";
    bottom: -5px;
    left: 50%;
    transform: translateX(-50%);
    height: 10px;
    width: 10px;
    background-color: #fa820d;
    border-radius: 50%;
    transition: 0.3s;
}

.active_nav:hover::after{
    opacity: 0;
}


.navAnimation li{
    transition:0.5s;
}

.navAnimation li a{
    position:relative;
    transition:0.5s;
}

.navAnimation:hover li a{
    transform:scale(1);
    opacity:0.6;
    filter:blur(0.2px);
}

.navAnimation li a:hover{
    transform:scale(1.1);
    opacity:1;
    filter:blur(0);
    text-decoration:none;
    background-color: #582E98;
    color:#fff;
}

.navAnimation li a:before{
    content:'';
    position:absolute;
    top:0;
    left:0;
    width:100%;
    height:100%;
    background:#fa820d;
    border-radius: 50px;
    transition:0.5s;
    transform-origin:right;
    transform:scaleX(0);
    z-index:-1;
}

.navAnimation li a:hover:before{
    transition:transform 0.5s;
    transform-origin:left;
    transform:scaleX(1);
}

.dropdown:hover .dropdown-menu{
    display: block;
    margin-top: 0;
}

.dropDownBcg{
    background-color: #582E98;
}

.dropDownScroll{
    height: 250px;
    overflow: scroll;
}

.dropDownScroll::-webkit-scrollbar{
    display: none;
    width: 12px;
}


.btnAccedi{
    box-shadow: 0px 6px 6px rgba(0,0,0,0.25);
    background-color:#fffefe;
    border-radius:25px;
    display:inline-block;
    cursor:pointer;
    color:#582E98;
    font-weight:bold;
    padding:8px 20px;
    text-decoration:none;
}

.btnAccedi:hover {
    color:#592E98;
}

.btnAccedi:active{
    box-shadow: 0px 2px 2px rgba(0,0,0,0.25), 0px -2px 2px rgba(0, 0, 0, 0.25) ;
    transform: translateY(0.5px);
}

.btnSearch {
	display: inline-block;
	margin: 4px 2px;
	background: transparent;
	font-size: 14px;
	padding-left: 32px;
	padding-right: 32px;
	height: 50px;
	line-height: 50px;
	text-align: center;
	color: white;
	text-decoration: none;
	cursor: pointer;
	-moz-user-select: none;
	-khtml-user-select: none;
	-webkit-user-select: none;
	-ms-user-select: none;
	user-select: none;
}

.btnSearch:hover {
	transition-duration: 0.4s;
	-moz-transition-duration: 0.4s;
	-webkit-transition-duration: 0.4s;
	-o-transition-duration: 0.4s;
	background: transparent;
	color: #fa820d;
}

.search-container {
	position: relative;
	display: inline-block;
	margin: 4px 2px;
	height: 50px;
	width: 50px;
	vertical-align: bottom;
}

.mglass {
	display: inline-block;
	pointer-events: none;
    font-size: 40px;
	-webkit-transform: rotate(-45deg);
	-moz-transform: rotate(-45deg);
	-o-transform: rotate(-45deg);
	-ms-transform: rotate(-45deg);
}

.searchbutton {
	position: absolute;
	font-size: 22px;
	width: 100%;
	margin: 0;
	padding: 0;
}

.search:focus + .searchbutton {
	transition-duration: 0.4s;
	-moz-transition-duration: 0.4s;
	-webkit-transition-duration: 0.4s;
	-o-transition-duration: 0.4s;
	background: transparent;
    border-radius: 0px;
}

.search {
	position: absolute;
	left: 49px;
	background-color: #592E97;
    color: white;
    border-top: none;
    border-left: none;
    border-right: none;
	outline: none;
	padding: 0;
	width: 0;
	height: 100%;
	z-index: 10;
	transition-duration: 0.4s;
	-moz-transition-duration: 0.4s;
	-webkit-transition-duration: 0.4s;
	-o-transition-duration: 0.4s;
}

.search:focus {
	width: 200px;
	padding: 0 16px 0 0;
}

.expandright {
	left: auto;
	right: 49px;
}

.expandright:focus {
	padding: 0 0 0 16px;
}


/* footer */

footer {
    background-color: #592E97;
    font-family: 'Nobile', sans-serif;
    
}

.footLink{
    transition: 0.5s all ease-in-out;
}

.footLink:hover{
    color: #fa820d;
}

.link {
    color: white;
    font-family: 'Nobile', sans-serif;
}

.title {
    color: #fa820d;
}

.copyright {
    background-color: rgba(0, 0, 0, 0.05);
    color: white;
}

.img-preview {
    width: 200px;
    height: 200px;
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
}

.custom-height {
    height: 334px;
    overflow-x: scroll;
    overflow-y: hidden;
}


/* hover icons / */
.icon-footer {
    scale: 1;
    color: white;
    display: inline-block;
    vertical-align: middle;
    transform: translateZ(0);
    box-shadow: 0 0 1px rgba(0, 0, 0, 0);
    backface-visibility: hidden;
    transition-duration: 0.2s;
    transition-property: transform;
    transition-timing-function: ease-out;
    transform: perspective(1px) translateZ(0);
    position: relative; 
}

.icon-effect .icon-footer:after {
    top: -7px;
    left: -7px;
    padding: 7px;
    box-shadow: 0 0 0 4px white;
    scale: 0.8;
    opacity: 0;
    
}

.icon-effect-1 .icon-footer:hover {
    color: #fa820d;
}

.icon-effect-1 .icon-footer:hover:after {
    scale: 1;
    opacity: 1;
}

.icon-footer:hover,
.icon-footer:focus{
    transform: translateY(-8px);
}

.table-wrapper {
    overflow-y: scroll;
    height: 400px;
}

.dropDownBcg{
    background-color: #582E98;
}

.rectangle {
    display: flex;
    align-items: center;
    justify-content: flex-start;
    position: absolute;
    z-index: 1000;
    bottom: 30px;
    right: 30px;
    width: 50px;
    height: 50px;
    background: #592E98;
    border-left: 3px solid var(--s-color);
    transform: scale(0);
    border-radius: 50%;
    color: white;
    opacity: 0;
    overflow: hidden;
    animation: scale-in .3s ease-out forwards,
      expand .35s .25s ease-out forwards;
  }

  .rectangle-validation {
    display: flex;
    align-items: center;
    justify-content: flex-start;
    position: relative;
    z-index: 1000;
    width: 50px;
    height: 65px;
    background: #592E98;
    border-bottom: 3px solid var(--s-color);
    transform: scale(0);
    border-radius: 50%;
    color: white;
    opacity: 0;
    overflow: hidden;
    animation: scale-in .3s ease-out forwards,
      expand .35s .25s ease-out forwards;
  }
  
  .notification-text {
    display: flex;
    align-items: center;
    padding: 0;
    font-family: 'Roboto', sans-serif;
    font-size: 14px;
    animation: fade-in .65s ease-in forwards;
  }
  
  @keyframes scale-in {
    100% {
      transform: scale(1);
      opacity: 1;
    }
  }
  
  @keyframes expand {
    50% {
      width: 350px;
      border-radius: 6px;
    }
    100% {
      width: 300px;
      border-radius: 4px;
      box-shadow: 0px 1px 3px 0px rgba(0,0,0,.2),
                  0px 1px 1px 0px rgba(0,0,0,.14),
                  0px 3px 3px -1px rgba(0,0,0,.12);
    }
  }
  
  @keyframes fade-in {
    0% {
      opacity: 0;
    }
    100% {
      opacity: .8;
    }
  }

  .page-link.active, .active > .page-link {
    z-index: 3;
    color: var(--s-color);
    background-color: var(--p-color);
    border: none;
    border-bottom: 1px solid var(--s-color);
}

.page-link {
    position: relative;
    display: block;
    padding: var(--bs-pagination-padding-y) var(--bs-pagination-padding-x);
    font-size: var(--bs-pagination-font-size);
    color: var(--p-color);
    text-decoration: none;
    background-color: var(--bs-pagination-bg);
    border: var(--bs-pagination-border-width) solid var(--bs-pagination-border-color);
    transition: color 0.15s ease-in-out 0s, background-color 0.15s ease-in-out 0s, border-color 0.15s ease-in-out 0s, box-shadow 0.15s ease-in-out 0s;
}

.page-link:hover {
    color: var(--p-color);
}

/* card */
.card {
    width: 15rem;
    box-sizing: border-box;
    box-shadow: 0px 4px 10px rgba(0, 0, 0, 0.25);
    overflow: hidden;
}

.card-container {
    border-radius: 20px;
    box-sizing: border-box;
    box-shadow: 0px 4px 10px rgba(0, 0, 0, 0.25);
}

.card-body {
    background: #FF9A32;
    box-shadow: 0px 4px 10px rgba(0, 0, 0, 0.25);
    border-bottom-right-radius: 20px;
    border-bottom-left-radius: 20px;
}

.card-image {
    box-shadow: inset 0px 4px 4px rgba(0, 0, 0, 0.25);
    border-radius: 20px 20px 0px 0px;
    overflow: hidden;
    display: inline-block;
    transition: 0.5s all;
}

.article-title {
    font-style: normal;
    font-weight: 800;
    font-size: 20px;
    line-height: 30px;
    text-align: center;
    color: #FFFFFF;
    text-shadow: 1px 1px 1px rgb(37, 34, 34);
    text-transform: uppercase;
}

.article-description {
    font-style: normal;
    font-weight: 400;
    font-size: 12px;
    line-height: 22px;
    text-align: center;
    color: #FFFFFF;
    line-height: 1.4;
}

.price {
    font-style: normal;
    font-weight: 900;
    font-size: 26px;
    margin: 15px 0;
    text-align: center;
    color: #ffff;
    text-shadow: 1px 1px 1px rgba(58, 27, 103, 0.815);
}

.bottone-card {
    background: rgb(89, 46, 152);
    box-shadow: rgba(0, 0, 0, 0.17) 0px -10px 15px 0px inset, rgba(0, 0, 0, 0.15) 0px -36px 30px 0px inset, rgba(0, 0, 0, 0.1) 0px -79px 40px 0px inset, rgba(0, 0, 0, 0.06) 0px 2px 1px, rgba(0, 0, 0, 0.09) 0px 4px 2px, rgba(0, 0, 0, 0.09) 0px 8px 4px, rgba(0, 0, 0, 0.09) 0px 16px 8px, rgba(0, 0, 0, 0.09) 0px 32px 16px;
    border-radius: 50px;
    text-align: center;
    color: #FFFFFF;
    border: none;
    transition: 0.2s;
}

.bottone-card:focus,
.bottone-card:active {
    box-shadow: rgb(36, 13, 71) 3px 3px 6px 0px inset, rgba(41, 16, 78, 0.5) -3px -3px 6px 1px inset;
}

.bottone-card:hover {
    background: rgb(80, 27, 159);
}

.utente {
    font-size: 10px;
    color: white;
    font-family: 'Cuprum';
}

.card:hover {
    cursor: default;
}

.img-carousel-show{
    border-radius: 25px 0px 0px 25px;
}

.boxShow{
    border-radius: 25px;
    box-shadow: 3px 3px 10px rgb(136, 129, 129);
}


@-webkit-keyframes come-in {
    0% {
        -webkit-transform: translatey(100px);
            transform: translatey(100px);
        opacity: 0;
    }
    30% {
        -webkit-transform: translateX(-50px) scale(0.4);
            transform: translateX(-50px) scale(0.4);
    }
    70% {
        -webkit-transform: translateX(0px) scale(1.2);
            transform: translateX(0px) scale(1.2);
    }
    100% {
         -webkit-transform: translatey(0px) scale(1);
            transform: translatey(0px) scale(1);
        opacity: 1;
    }
}
@keyframes come-in {
    0% {
        -webkit-transform: translatey(100px);
            transform: translatey(100px);
        opacity: 0;
    }
    30% {
      -webkit-transform: translateX(-50px) scale(0.4);
            transform: translateX(-50px) scale(0.4);
    }
    70% {
      -webkit-transform: translateX(0px) scale(1.2);
            transform: translateX(0px) scale(1.2);
    }
    100% {
        -webkit-transform: translatey(0px) scale(1);
            transform: translatey(0px) scale(1);
        opacity: 1;
    }
}
  
.floating-container {
    position: fixed;
    width: 100px;
    height: 100px;
    bottom: 0;
    left: 0;
    margin: 35px 10px;
    z-index: 999;
}
.floating-container:hover {
    height: 225px;
}
.floating-container:hover .floating-button {
    color: #fa820d;
    box-shadow: 0 10px 25px #211b2c;
    -webkit-transform: translatey(5px);
    transform: translatey(5px);
    -webkit-transition: all 0.3s;
    transition: all 0.3s;
}

.floating-container:hover .element-container .float-element:nth-child(1) {
    -webkit-animation: come-in 0.4s forwards 0.2s;
    animation: come-in 0.4s forwards 0.2s;
}
.floating-container:hover .element-container .float-element:nth-child(2) {
    -webkit-animation: come-in 0.4s forwards 0.4s;
    animation: come-in 0.4s forwards 0.4s;
}
.floating-container:hover .element-container .float-element:nth-child(3) {
    -webkit-animation: come-in 0.4s forwards 0.6s;
    animation: come-in 0.4s forwards 0.6s;
}
.floating-container .floating-button {
    position: absolute;
    width: 50px;
    height: 50px;
    background-color: #592E98;
    bottom: 0;
    border-radius: 50%;
    left: 0;
    right: 0;
    margin: auto;
    color: white;
    line-height: 53px;
    text-align: center;
    font-size: 23px;
    z-index: 100;
    box-shadow: 0 10px 25px #211b2c;
    cursor: pointer;
    -webkit-transition: all 0.3s;
    transition: all 0.3s;
}


.floating-container .float-element {
    position: relative;
    display: block;
    border-radius: 50%;
    width: 40px;
    height: 40px;
    margin: 15px auto;
    color: white;
    font-weight: 500;
    text-align: center;
    line-height: 33px;
    z-index: 0;
    opacity: 0;
    -webkit-transform: translateY(100px);
    transform: translateY(100px);
}
.floating-container .float-element .material-icons {
    vertical-align: middle;
    font-size: 16px;
}
.floating-container .float-element:nth-child(1) {
    background: #592E98;
    box-shadow: 0 10px 25px #211b2c;
    border: 1px solid rgba(94, 94, 94, 0.2);
}

.floating-container .float-element:nth-child(2) {
    background: #592E98;
    box-shadow: 0 10px 25px #211b2c;
    border: 1px solid rgba(94, 94, 94, 0.2);
}
.floating-container .float-element:nth-child(3) {
    background: #592E98;
    box-shadow: 0 10px 25px #211b2c;
    border: 1px solid rgba(94, 94, 94, 0.2);
}

.background-orange {
    background-color: #fa820d !important;
    box-shadow: 0 20px 20px -10px #592E98;
    border: 1px solid rgba(94, 94, 94, 0.2);
}

.auth-links {
    transition: 0.3s;
}

.auth-links:hover {
    color: var(--p-color);
    font-weight: bold;
}

.form-check-input:checked {
    background-color: var(--p-color);
    border-color: var(--p-color);
}

.carousel-indicators-custom button{
    width: 100px!important;
    height: 100px;
    margin-bottom: 5rem!important;
}

.colCarousel{
    height: 600px;
    width: 600px;
}



/* carosello revisore */
.indicatorRevisor{
    height: 600px;
}

@media screen and (max-width: 280px){
    .carouselRevisor{width: 200px;}
    .image-revisor{width: 200px;}
    .txt-col-show{border-radius: 0px 0px 25px 25px !important;}
    .img-col-show{border-radius: 0px 0px 0px 0px  !important;}
}

@media screen and (min-width: 281px) and (max-width: 400px){
    .carouselRevisor{width: 300px;}
    .image-revisor{width: 350px;}
    .txt-col-show{border-radius: 0px 0px 25px 25px !important;}
    .img-col-show{border-radius: 0px 0px 0px 0px  !important;}
}

@media screen and (min-width: 401px) and (max-width: 768px){
    .image-revisor{width: 350px;}
    .carouselRevisor{width: 300px;}
    .txt-col-show{border-radius: 0px 0px 25px 25px !important;}
    .img-col-show{border-radius: 0px 0px 0px 0px  !important;}
}

@media screen and (min-width: 769px) and (max-width: 1800px){
    .carouselRevisor{
        width: 600px;
        height: 750px;
    }

    .img-col-show{
        border-radius: 25px 0px 0px 25px;
        width: 600px;
        height: 600px;
    }

    .txt-col-show{
        border-radius: 0px 25px 25px 0px;
    }
}
/* carosello show */

.table-wrapper-x {
    overflow-x: scroll;
}

.txt-col-show{
    border-radius: 0px 25px 25px 0px;
}

.img-col-show{
    border-radius: 25px 0px 0px 25px;
    width: 600px;
    height: 600px;
}